Skip to content

List secret metadata

GET
/v1/secrets
curl --request GET \
--url https://api.hooks.events/v1/secrets \
--header 'Authorization: Bearer <token>'

Requires the endpoints:read scope.

environmentId
string

Success

Media typeapplication/json
object
data
required
Array<object>
object
id
required

Resource id

string
name
required
string
environmentId
required
string | null
createdAt
required

ISO-8601 timestamp

string
updatedAt
required

ISO-8601 timestamp

string
key
additional properties
nextCursor
required

Pass as ?cursor= to fetch the next page

string | null
key
additional properties

Example generated

{
"data": [
{
"id": "example",
"name": "example",
"environmentId": "example",
"createdAt": "example",
"updatedAt": "example"
}
],
"nextCursor": "example"
}

Validation error

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Missing or invalid credentials

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

The credential lacks the required scope, or the workspace is not writable

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}

Rate limited

Media typeapplication/json
object
error
required
object
code
required

Machine-readable error code

string
message
required
string
requestId
required

Request id, also echoed in x-request-id

string
key
additional properties

Example generated

{
"error": {
"code": "example",
"message": "example",
"requestId": "example"
}
}
X-RateLimit-Limit
integer

Requests allowed per window

X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer

Seconds until the window resets